---
title: RTCIceCandidate.component
slug: Web/API/RTCIceCandidate/component
tags:
  - API
  - ICE
  - Property
  - RTCIceCandidate
  - RTCP
  - RTP
  - Read-only
  - Reference
  - SDP
  - Transport
  - WebRTC
  - WebRTC API
  - component
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The read-only <strong><code>component</code></strong> property on the {{domxref("RTCIceCandidate")}} interface is a string which indicates whether the candidate is an <a href="/en-US/docs/Web/API/WebRTC_API/Intro_to_RTP">RTP</a> or an RTCP candidate.</span></p>

<p>If a candidate represents both RTP and RTCP multiplexed together, it is reported as an RTP candidate.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>component</em> = <em>RTCIceCandidate</em>.component;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} which is <code>"rtp"</code> for RTP (or RTP and RTCP multiplexed together) candidates or <code>"rtcp"</code> for RTCP candidates.</p>

<h2 id="Usage_notes">Usage notes</h2>

<p>Consider this {{Glossary("SDP")}} attribute line (a-line):</p>

<pre>a=candidate:4234997325 1 udp 2043278322 192.168.0.56 44323 typ host</pre>

<p>This is an ICE candidate a-line, whose {{domxref("RTCIceCandidate.foundation", "foundation")}} is 4234997325. The next field on the a-line, <code>"1"</code>, is the component ID. A value of <code>"1"</code> indicates RTP, which is recorded in the <code>component</code> property as <code>"rtp"</code>. If this value were instead <code>"2"</code>, the a-line would be describing an RTCP candidate, and <code>compoment</code> would be <code>"rtcp"</code>.</p>

<h2 id="Example">Example</h2>

<p>This code snippet examines a candidate's component type and dispatches the candidate to different handlers depending on the value.</p>

<pre class="brush: js">if (candidate.component == "rtp") {
  handleRTPCandidate(candidate);
} else if (candidate.component == "rtcp") {
  handleRTCPCandidate(candidate);
} else {
  handleUnknownCandidate(candidate);
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC 1.0', '#dom-rtcicecandidate-component', 'RTCIceCandidate.component')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.RTCIceCandidate.component")}}</p>
</div>
